For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
      • GETReturn all your created email campaigns
      • POSTCreate an email campaign
      • PUTUpdate an email campaign
      • DELDelete an email campaign
      • POSTSend an email campaign immediately, based on campaignId
      • POSTSend an email campaign to your test list
      • PUTUpdate an email campaign status
      • GETGet a shared template url
      • POSTExport the recipients of an email campaign
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Marketing CampaignsEmail Campaigns

Delete an email campaign

DELETE
https://api.brevo.com/v3/emailCampaigns/:campaignId
DELETE
/v3/emailCampaigns/:campaignId
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.emailCampaigns.deleteEmailCampaign(1);
8}
9main();

Delete an email campaign by its campaign ID. Only campaigns that have not been scheduled can be deleted; attempting to delete a campaign that has already been scheduled will return a 403 permission denied error. Related data in templates, newsletter builder, and schedule collections is also cleaned up.

Was this page helpful?
Previous

Send an email campaign immediately, based on campaignId

Next
Built with

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Path parameters

campaignIdlongRequired
id of the campaign

Response

Email campaign has been deleted

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error